FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-01-2008, 10:03 PM
Alan McKinnon
 
Default portage problems

On Saturday 02 February 2008, Carter, Dwayne wrote:
> Calculating dependencies... done!
>
> !!! Error: the <dev-lang/python-2.3.6-r2 package conflicts with
> another package;
> !!! * * * *the two packages cannot be installed on the same system
> together.
> !!! * * * *Please use 'emerge --pretend' to determine blockers.

^^^^^^^^^
See this? Do it. Post output.

--
Alan McKinnon
alan dot mckinnon at gmail dot com
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-02-2008, 05:02 AM
"Carter, Dwayne"
 
Default portage problems

> See this? Do it. Post output.

Oops! I forgot to post that.

witney root # emerge --pretend -u world

These are the packages that would be merged, in order:

Calculating world dependencies |
!!! Problems have been detected with your world file
!!! Please run emaint --check world


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
sys-kernel/gs-sources app-editors/vi

... done!
[blocks B ] <dev-lang/python-2.3.6-r2 (is blocking app-admin/python-updater-0.2)

[blocks B ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.18.1-r1)
[blocks B ] <net-misc/dhcpcd-2.0.0 (is blocking sys-apps/baselayout-1.12.10-r5)
[blocks B ] sys-apps/modutils (is blocking sys-apps/module-init-tools-3.4)
[ebuild N ] sys-libs/gpm-1.20.1-r6 USE="(-selinux)"
[ebuild U ] sys-libs/ncurses-5.6-r2 [5.3-r5] USE="gpm%* unicode%* -bootstrap% -build% -doc% -minimal% -nocxx% -profile% -trace%"
[ebuild U ] app-shells/bash-3.2_p17-r1 [2.05b-r9] USE="-afs% -bashlogger% -plugins% -vanilla%"
[ebuild U ] sys-libs/readline-5.2_p7 [4.3-r4]
[ebuild U ] sys-libs/zlib-1.2.3-r1 [1.1.4-r2]
[ebuild N ] dev-libs/libxml2-2.6.30-r1 USE="ipv6 python readline -debug -doc -test"
[ebuild N ] virtual/libiconv-0
[ebuild U ] dev-libs/expat-2.0.1 [1.95.6-r1]
[ebuild U ] sys-devel/gettext-0.17 [0.12.1] USE="openmp%* -acl% -doc% -emacs% -nocxx%"
[ebuild U ] sys-apps/findutils-4.3.11 [4.1.20-r1] USE="-static%"
[ebuild N ] sys-devel/binutils-config-1.9-r4
[ebuild U ] sys-devel/gnuconfig-20070724 [20030708]
[ebuild U ] sys-devel/binutils-2.18-r1 [2.14.90.0.7-r4] USE="-multislot% -multitarget% -test% -vanilla%"
[ebuild NS ] sys-libs/db-4.5.20_p2 USE="-bootstrap -doc -java -nocxx -tcl -test"
[ebuild N ] sys-libs/gdbm-1.8.3-r3 USE="berkdb"
[ebuild U ] sys-devel/libperl-5.8.8-r1 [5.8.2] USE="gdbm* -debug% -ithreads%"
[ebuild U ] dev-lang/perl-5.8.8-r4 [5.8.2-r1] USE="gdbm* -build% -debug% -ithreads% -perlsuid%"
[ebuild N ] dev-perl/Locale-gettext-1.05
[ebuild U ] sys-apps/help2man-1.36.4 [1.29] USE="nls%*"
[ebuild NS ] sys-devel/libtool-1.5.24 USE="-vanilla"
[ebuild U ] sys-apps/groff-1.19.2-r1 [1.18.1-r4]
[ebuild U ] sys-apps/man-1.6e-r3 [1.5l-r6]
[ebuild U ] sys-apps/man-pages-2.76 [1.65] USE="nls%*"
[ebuild U ] sys-apps/diffutils-2.8.7-r2 [2.8.4-r4]
[ebuild U ] dev-libs/openssl-0.9.8g [0.9.7c-r1] USE="zlib%* -bindist% -emacs% -gmp% -kerberos% -sse2% -test%"
[ebuild NS ] dev-lang/python-2.4.4-r6 USE="berkdb gdbm ipv6 ncurses readline ssl -bootstrap -build -doc -examples -nocxx -nothreads -tk -ucs2"
[ebuild N ] perl-core/Test-Harness-2.64
[ebuild N ] app-admin/perl-cleaner-1.04.3
[ebuild N ] perl-core/PodParser-1.35
[ebuild U ] sys-apps/debianutils-2.28.2 [1.16.7-r4]
[ebuild N ] sys-apps/mktemp-1.5
[ebuild N ] app-misc/ca-certificates-20070303-r1
[ebuild U ] dev-python/python-fchksum-1.7.1 [1.6.1-r1]
[ebuild N ] app-admin/python-updater-0.2
[ebuild N ] app-misc/pax-utils-0.1.16 USE="-caps"
[ebuild U ] sys-apps/sed-4.1.5 [4.0.7]
[ebuild U ] sys-apps/portage-2.1.3.19 [2.0.51-r3] USE="-doc% -epydoc%" LINGUAS="-pl%"
*** Portage will stop merging at this point and reload itself,
then resume the merge.
[ebuild U ] dev-libs/popt-1.10.7 [1.7-r1]
[ebuild U ] net-misc/rsync-2.6.9-r5 [2.6.0] USE="ipv6%* -acl% -static% -xinetd%"
[ebuild U ] sys-apps/coreutils-6.9-r1 [5.0.91-r4] USE="-acl* -xattr%"
[ebuild N ] dev-python/pycrypto-2.0.1-r6 USE="-bindist -gmp -test"
[ebuild U ] sys-devel/flex-2.5.33-r3 [2.5.4a-r5] USE="nls%* -static%"
[ebuild U ] sys-devel/bc-1.06-r6 [1.06-r5] USE="-static%"
[ebuild N ] sys-libs/com_err-1.40.4 USE="nls"
[ebuild N ] sys-libs/ss-1.40.4 USE="nls"
[ebuild U ] sys-fs/e2fsprogs-1.40.4 [1.34]
[ebuild N ] dev-util/unifdef-1.20
[ebuild U ] sys-kernel/linux-headers-2.6.23-r3 [2.4.21]
[ebuild U ] sys-apps/util-linux-2.13-r2 [2.12-r4] USE="crypt* -old-linux%"
[ebuild N ] dev-util/pkgconfig-0.22 USE="-hardened"
[ebuild N ] dev-libs/libpcre-7.4 USE="unicode -doc"
[ebuild U ] sys-apps/grep-2.5.1a-r1 [2.5.1-r1] USE="pcre%* -static%"
[ebuild U ] app-arch/gzip-1.3.12 [1.3.3-r2] USE="-pic% -static%"
[ebuild U ] dev-perl/perltidy-20070508 [20031021]
[ebuild U ] sys-libs/cracklib-2.8.10 [2.7-r8] USE="nls%* python%*"
[ebuild U ] sys-libs/pam-0.99.9.0 [0.77] USE="cracklib%* nls%* -audit% -test% -vim-syntax%"
[ebuild N ] sys-libs/timezone-data-2007j USE="nls"
[ebuild U ] sys-devel/gcc-config-1.4.0-r4 [1.3.4]
[ebuild U ] dev-libs/gmp-4.2.2 [4.1.2] USE="-doc% -nocxx%"
[ebuild N ] dev-libs/mpfr-2.3.0_p4
[ebuild U ] sys-devel/bison-2.3 [1.875]
[ebuild NS ] sys-devel/gcc-4.1.2 USE="fortran mudflap nls (-altivec) -bootstrap -build -d -doc -gcj -gtk (-hardened) -ip28 -ip32r10k (-multilib) -multislot (-n32) (-n64) -nocxx -objc -objc++ -objc-gc -test -vanilla"
[ebuild U ] sys-libs/glibc-2.6.1 [2.3.2-r9] USE="-debug% -gd% -glibc-omitfp% (-hardened) (-multilib) -profile% (-selinux) -vanilla%"
[ebuild U ] net-mail/mailbase-1 [0.00-r5] USE="pam%*"
[ebuild U ] mail-mta/ssmtp-2.61-r2 [2.60.7] USE="ipv6* -mailwrapper%"
[ebuild U ] sys-process/cronbase-0.3.2-r1 [0.2.1-r3]
[ebuild U ] sys-process/vixie-cron-4.1-r10 [3.0.1-r4] USE="pam%* -debug%"
[ebuild U ] sys-apps/net-tools-1.60-r13 [1.60-r7]
[ebuild U ] sys-apps/kbd-1.13-r1 [1.08-r5]
[ebuild U ] net-misc/iputils-20070202 [020927] USE="ipv6%* -doc%"
[ebuild N ] sys-apps/busybox-1.8.2 USE="pam -debug -make-symlinks -savedconfig (-selinux) -static"
[ebuild U ] sys-process/procps-3.2.7 [3.1.15] USE="(-n32)"
[ebuild U ] dev-util/strace-4.5.16 [4.5.7] USE="-aio%"
[ebuild U ] sys-apps/gawk-3.1.5-r5 [3.1.3-r1]
[ebuild U ] app-arch/tar-1.19-r1 [1.13.25-r3]
[ebuild U ] sys-apps/shadow-4.0.18.1-r1 [4.0.3-r9] USE="cracklib%* nls%* -nousuid% -skey%"
[ebuild U ] sys-process/psmisc-22.5-r2 [21.2-r4] USE="ipv6%* -X%"
[ebuild U ] net-misc/clockspeed-0.62-r4 [0.62-r3]
[ebuild U ] sys-apps/modutils-2.4.27-r1 [2.4.25]
[ebuild U ] sys-apps/file-4.21-r1 [4.06] USE="python%*"
[ebuild U ] app-arch/bzip2-1.0.4-r1 [1.0.2-r3]
[ebuild U ] sys-boot/grub-0.97-r3 [0.94-r1] USE="-custom-cflags% -netboot%"
[ebuild U ] app-admin/sysstat-8.0.3 [5.0.5-r1]
[ebuild U ] app-editors/nano-2.0.7 [1.2.2] USE="ncurses%* unicode%* -minimal%"
[ebuild U ] net-misc/netkit-telnetd-0.17-r8 [0.17-r3]
[ebuild U ] app-arch/cpio-2.9-r1 [2.5] USE="nls%*"
[ebuild U ] sys-devel/make-3.81 [3.80]
[ebuild U ] sys-apps/hdparm-7.7 [5.4]
[ebuild N ] sys-apps/sysvinit-2.86-r10 USE="(-ibm) (-selinux) -static"
[ebuild N ] virtual/init-0
[ebuild U ] sys-apps/baselayout-1.12.10-r5 [1.8.6.13] USE="unicode%* -bootstrap*"
[ebuild N ] sys-apps/module-init-tools-3.4 USE="-old-linux"
[ebuild U ] net-misc/openssh-4.7_p1-r3 [3.7.1_p2-r1] USE="-X% -chroot% -hpn% -ldap% -libedit% -smartcard%"
[ebuild N ] sys-fs/udev-115-r1 USE="(-selinux)"
[ebuild N ] dev-libs/eventlog-0.2.5
[ebuild NS ] dev-libs/glib-2.14.5 USE="-debug -doc -hardened"
[ebuild U ] app-admin/syslog-ng-2.0.6 [1.6.0_rc3-r1] USE="ipv6%* -hardened% (-selinux) -spoof-source% -static%"
[ebuild U ] net-misc/wget-1.10.2 [1.9-r2] USE="-build%"
[ebuild U ] sys-process/daemontools-0.76-r5 [0.76-r3] USE="-doc% -static%"
[ebuild U ] sys-apps/less-416 [381] USE="unicode%*"
[ebuild U ] app-portage/gentoolkit-0.2.3-r1 [0.2.0]
[ebuild U ] sys-apps/ucspi-tcp-0.88-r16 [0.88-r5] USE="-doc%"
[ebuild U ] app-antivirus/clamav-0.92 [0.70] USE="nls%* -bzip2% -mailwrapper% (-selinux)"

Dwayne Carter

-----Original Message-----
From: Alan McKinnon [mailto:alan.mckinnon@gmail.com]
Sent: Friday, February 01, 2008 6:04 PM
To: gentoo-user@lists.gentoo.org
Subject: Re: [gentoo-user] portage problems

On Saturday 02 February 2008, Carter, Dwayne wrote:
> Calculating dependencies... done!
>
> !!! Error: the <dev-lang/python-2.3.6-r2 package conflicts with
> another package;
> !!! * * * *the two packages cannot be installed on the same system
> together.
> !!! * * * *Please use 'emerge --pretend' to determine blockers.

^^^^^^^^^
See this? Do it. Post output.

--
Alan McKinnon
alan dot mckinnon at gmail dot com
--
gentoo-user@lists.gentoo.org mailing list


--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-02-2008, 07:05 AM
Dale
 
Default portage problems

Carter, Dwayne wrote:
> << SNIP >>
> [blocks B ] <dev-lang/python-2.3.6-r2 (is blocking app-admin/python-updater-0.2)
>
> [blocks B ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.18.1-r1)
> [blocks B ] <net-misc/dhcpcd-2.0.0 (is blocking sys-apps/baselayout-1.12.10-r5)
> [blocks B ] sys-apps/modutils (is blocking sys-apps/module-init-tools-3.4)
> << SNIP >>

Normally I would say unmerge the blocks and emerge the blockers and
update them first. However, I'm not sure about that pam-login one. If
you do unmerge that one, do NOT logout until you have it updated. I
would recommend switching to another console and logging in to make sure
it works too.

> [ebuild U ] dev-libs/expat-2.0.1 [1.95.6-r1]

Oh no, is that the one I think it is. You may want to search the forums
for the expat update. Let me know if you can't find it. Has it been a
while since you updated?

Maybe someone else will see something else and chime in.

Dale

:-) :-)
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-02-2008, 07:55 AM
Alan McKinnon
 
Default portage problems

On Saturday 02 February 2008, Dale wrote:
> Carter, Dwayne wrote:
> > << SNIP >>
> > [blocks B ] <dev-lang/python-2.3.6-r2 (is blocking
> > app-admin/python-updater-0.2)
> >
> > [blocks B ] sys-apps/pam-login (is blocking
> > sys-apps/shadow-4.0.18.1-r1) [blocks B ] <net-misc/dhcpcd-2.0.0
> > (is blocking sys-apps/baselayout-1.12.10-r5) [blocks B ]
> > sys-apps/modutils (is blocking sys-apps/module-init-tools-3.4) <<
> > SNIP >>
>
> Normally I would say unmerge the blocks and emerge the blockers and
> update them first. However, I'm not sure about that pam-login one.
> If you do unmerge that one, do NOT logout until you have it updated.
> I would recommend switching to another console and logging in to make
> sure it works too.
>
> > [ebuild U ] dev-libs/expat-2.0.1 [1.95.6-r1]
>
> Oh no, is that the one I think it is. You may want to search the
> forums for the expat update. Let me know if you can't find it. Has
> it been a while since you updated?

Yes, Dale is correct.

Dwayne, you have all the major updates from the past year hitting your
box in one go, and they all have to be approached in specific sequence.
The general idea is of course to unmerge the blockers and merge the
things that replace them.

I would handle pam first. Keep a root console or two open, find the
howto or wiki page that tells you how to do this step and do just that
one (i.e. don't try and do it along with everything else in world). Get
this one working, then handle the python-updater in the same way (btw,
your version of python - 2.3 - is now unmaintained and will be leaving
the tree soon).

Finally do the expat upgrade. Now this is the big one and there is a
complete howto/wiki page that tells you how to do it. This one will
take a long time, as half your system will use the old version of expat
and you will only have a new one (!) Use revdep-rebuild to fix that,
preferably overnight.

Finally, you have two packages that are not in portage anymore:

gs-sources
vi

I don't know what gs-sources were for, you should switch to a supported
set of kernel sources.

The vi ebuild has been replace with app-editors/vim, so do:

emerge -C vi ; emerge vim

To fix this.

When was this box last updated? 2005 sometime?


--
Alan McKinnon
alan dot mckinnon at gmail dot com
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-02-2008, 09:20 AM
Daniel Pielmeier
 
Default portage problems

Carter, Dwayne schrieb:
> [blocks B ] <dev-lang/python-2.3.6-r2 (is blocking app-admin/python-updater-0.2)

You also have to be careful with this blocker, never unmerge python or
you are lost as portage does not work without python. You have to do
something like this to get around it.

>> quickpkg =dev-lang/python-2.3.5
this makes a backup of your old python version in case something gets
wrong (adapt the version to match your currently installed one)

>> emerge --nodeps -avt =dev-lang/python-2.4.4-r6
installs the new python version without dependencies so the
python-updater can not block the old python version

>> emerge -avC =dev-lang/python-2.3.5
removes the old version of python

>> emerge -avt python-updater
installs python-updater

>> emerge -avt portage
reinstalls portage so it uses the new python version

It is also good thing to run python-updater after this.

Please could someone confirm this, as i have never done this myself,
just googling!

> !!! Problems have been detected with your world file
> !!! Please run emaint --check world

You should also consider this! There are some invalid entries in your
world file. Normally this are packages which are in world but are not
installed on the system.

Regards,

Daniel
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-02-2008, 01:28 PM
Alan McKinnon
 
Default portage problems

On Saturday 02 February 2008, Daniel Pielmeier wrote:
> > !!! Problems have been detected with your world file
> > !!! Please run emaint --check world
>
> You should also consider this! There are some invalid entries in your
> world file. Normally this are packages which are in world but are not
> installed on the system.

You mean "packages which are installed on the system but are not in
portage" surely?

--
Alan McKinnon
alan dot mckinnon at gmail dot com
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-02-2008, 01:55 PM
Daniel Pielmeier
 
Default portage problems

Alan McKinnon schrieb:
> On Saturday 02 February 2008, Daniel Pielmeier wrote:
>>> !!! Problems have been detected with your world file
>>> !!! Please run emaint --check world
>> You should also consider this! There are some invalid entries in your
>> world file. Normally this are packages which are in world but are not
>> installed on the system.
>
> You mean "packages which are installed on the system but are not in
> portage" surely?
>

No! This error occurs for instance when you have a package listed in the
world file but it is not installed.

Just test it and manually put some cat/some-pkg you have not installed
in the world file and run "emerge -pv world" then portage starts
complaining, although it would install the newly added entry with its
dependencies.

Emaint checks the world file for a few problems. For entries with
invalid atoms, entries with a package that is not installed (see above
example) and entries that have a category that is not listed in
/etc/portage/categories.
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-02-2008, 02:14 PM
Alan McKinnon
 
Default portage problems

On Saturday 02 February 2008, Daniel Pielmeier wrote:
> Alan McKinnon schrieb:
> > On Saturday 02 February 2008, Daniel Pielmeier wrote:
> >> You should also consider this! There are some invalid entries in
> >> your world file. Normally this are packages which are in world but
> >> are not installed on the system.
> >
> > You mean "packages which are installed on the system but are not in
> > portage" surely?
>
> No! This error occurs for instance when you have a package listed in
> the world file but it is not installed.

OK, I see what you mean.

--
Alan McKinnon
alan dot mckinnon at gmail dot com
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-02-2008, 08:02 PM
"Carter, Dwayne"
 
Default portage problems

Dale:

Thanks for the input, I have successfully resolved the pam-login issue,
I have to adjusted all the /etc/pam.d entry to remove the pam_stack
entry and update them with "<type> include system-auth".

I just removed the dhcpcd-2.0.0 since it is not part of the system tree
anymore.

I am still working on the python and modutils. As far as updates I just
inherited this server at work so, I don't really know when it was last
updated.

Thanks for the great information and input.

Dwayne Carter


-----Original Message-----
From: Dale [mailto:dalek1967@bellsouth.net]
Sent: Saturday, February 02, 2008 3:06 AM
To: gentoo-user@lists.gentoo.org
Subject: Re: [gentoo-user] portage problems

Carter, Dwayne wrote:
> << SNIP >>
> [blocks B ] <dev-lang/python-2.3.6-r2 (is blocking
app-admin/python-updater-0.2)
>
> [blocks B ] sys-apps/pam-login (is blocking
sys-apps/shadow-4.0.18.1-r1)
> [blocks B ] <net-misc/dhcpcd-2.0.0 (is blocking
sys-apps/baselayout-1.12.10-r5)
> [blocks B ] sys-apps/modutils (is blocking
sys-apps/module-init-tools-3.4)
> << SNIP >>

Normally I would say unmerge the blocks and emerge the blockers and
update them first. However, I'm not sure about that pam-login one. If
you do unmerge that one, do NOT logout until you have it updated. I
would recommend switching to another console and logging in to make sure
it works too.

> [ebuild U ] dev-libs/expat-2.0.1 [1.95.6-r1]

Oh no, is that the one I think it is. You may want to search the forums
for the expat update. Let me know if you can't find it. Has it been a
while since you updated?

Maybe someone else will see something else and chime in.

Dale

:-) :-)
--
gentoo-user@lists.gentoo.org mailing list

--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 02:12 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org